// This is my 'compile time' Palindromic using constexpr.  It is pretty preliminary, as is based on the assumption that as any number
// can be a Palindromic, depending on the Base. It is intended for the 'j' sequence of a PQa LMM. 
// Warren. For use with C++11 and beyond !
#include<iostream> 
#include<iterator>
constexpr int is_palindromic_func1(size_t num1, size_t num2, size_t digit1, size_t rev1) //Recursion
{
    digit1 = (num2 % 10);
    rev1 = ((rev1 * 10) + digit1);
    return (num1 == rev1) ? true : (num2 == 0) ? false : is_palindromic_func1(num1,(num2 / 10), digit1, rev1);
}
constexpr int is_palindromic_func(size_t num1) //initial call
{
    int num2 = num1;
    return (num1 < 11) ? false : is_palindromic_func1(num1,num2,0,0);//supplies number
}
int main(void)
{
    std::cout << is_palindromic_func(177787771) << std::endl;
}

////////////////////// This code from "Stack Overflow", for use with 'char' string palindromes///////////
//constexpr bool compileTimeIsPalindrome(const char* s, int len)
//{
//    return len < 2 ? true : s[0] == s[len - 1] && compileTimeIsPalindrome(&s[1], len - 2);
//}

//int main()
//{
//    std::cout << compileTimeIsPalindrome((char*)"1991", 4) << std::endl;
//}
